
import bpy
import os



def make_list(path):
	dir = ""
	open_file = "none"
	global global_object_list
	global_object_list = []
	disable_list = []
	reset_dlist = disable_list

	absolute_path = os.path.realpath(bpy.path.abspath(path))
	for root, directo, files in os.walk(absolute_path):
		dir = directo
		break
	for folder in dir:


		new_directory = absolute_path + "/" + folder


		for file in os.listdir(new_directory):
			if file.endswith("objects.txt"):
				open_file = "objects.txt"


		if  open_file != "none":
			f = open(new_directory + "/" + open_file, 'r')
			open_file = "none"
			file_disabled = False
			end_values = False

			for line in f:
				line_disabled = False

				if line.find("disable = True") >= 0:
					file_disabled = True

				if line.find("disabled") >= 0:
					line_disabled = True

				if line.find("end values")>= 0:
					end_values = True

				if line.find("disable_")>= 0:
					disable_value = line.rstrip('\n').replace("disable_", "").replace(" = True","").replace("_"," ")
					if disable_value not in disable_list:
						disable_list.append(disable_value)

				if len(line) > 3 and file_disabled == False and end_values == True and line.find("end values") < 0 and line_disabled == False: 
					new_line = line.rstrip('\n').replace(", ", ",")
				
					list_objects = new_line.split(",")
					for disable_list_items in disable_list:
						if disable_list_items in list_objects:
							line_disabled = True
					if line_disabled == False:
						global_object_name = folder + "_" + list_objects[0]
						global_object_list.append((global_object_name,global_object_name,global_object_name))
				
					disable_list = reset_dlist
				
				

			f.close()







def populate_coll(scene):

	bpy.app.handlers.scene_update_pre.remove(populate_coll)
	scene.coll.clear()
	make_list(scene.choose_path)
	for identifier, name, description in global_object_list:
		scene.coll.add().name = name


def dir_path_update(self, context):
	choose_path = context.scene.choose_path
	

	if choose_path:
		make_list(choose_path)
		context.scene.coll.clear()
		for identifier, name, description in global_object_list:
			context.scene.coll.add().name = name
		context.window_manager.popup_menu(
			lambda self, context: self.layout.label(context.scene.choose_path


			)
		)	


		


